Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface SNMPLogFilterMBean

public interface SNMPLogFilterMBean
extends SNMPTrapSourceMBean

This MBean represents a filter to qualify log messages which are logged to the server logfile. A message must qualify criteria specified as a filter in order to generate a trap. Multiple instances of this MBean can be defined, if needed. If there are multiple instances, a message must qualify atleast one filter to qualify for the server logfile.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.SNMPTrapSourceMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `addMessageId(java.lang.String messageid)`
`boolean` | `addSubsystemName(java.lang.String subsystem)`
`boolean` | `addUserId(java.lang.String userid)`
`java.lang.String[]` | `getMessageIds()` Defines a list of message IDs or ID ranges to be notified when a trap is generated.
`java.lang.String` | `getMessageSubstring()` Defines a string that is searched for in the message text.
`java.lang.String` | `getSeverityLevel()` Defines the minimum severity of a message needed to be selected.
`java.lang.String[]` | `getSubsystemNames()` Defines a list of subsystems whose messages are selected by this filter.
`java.lang.String[]` | `getUserIds()` Defines a list of user IDs that are notified when a trap is generated.
`boolean` | `removeMessageId(java.lang.String messageid)`
`boolean` | `removeSubsystemName(java.lang.String subsystem)`
`boolean` | `removeUserId(java.lang.String userid)`
`void` | `setMessageIds(java.lang.String[] messageIdList)`
`void` | `setMessageSubstring(java.lang.String MessageSubString)`
`void` | `setSeverityLevel(java.lang.String severityLevel)`
`void` | `setSubsystemNames(java.lang.String[] subsystemList)`
`void` | `setUserIds(java.lang.String[] userIdList)`

Methods inherited from interface weblogic.management.configuration.SNMPTrapSourceMBean
`addEnabledServer, getEnabledServers, removeEnabledServer, setEnabledServers`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getSeverityLevel

    public java.lang.String getSeverityLevel()

  Defines the minimum severity of a message needed to be selected.

  - All messages with a specified severity and higher are selected.
  - The ascending order of severities: `INFO`, `WARNING`, `ERROR`, `NOTICE`, `CRITICAL`, `ALERT`, and `EMERGENCY`.

  Default Value: weblogic.logging.Severities.ERROR_TEXT
  See Also:
    `Severities`

### setSeverityLevel

    public void setSeverityLevel(java.lang.String severityLevel)

### getSubsystemNames

    public java.lang.String[] getSubsystemNames()

  Defines a list of subsystems whose messages are selected by this filter. If none are specified, messages from all subsystems are selected.

### setSubsystemNames

    public void setSubsystemNames(java.lang.String[] subsystemList)

### addSubsystemName

    public boolean addSubsystemName(java.lang.String subsystem)
                             throws javax.management.InvalidAttributeValueException,
                                    ConfigurationException

### removeSubsystemName

    public boolean removeSubsystemName(java.lang.String subsystem)
                                throws javax.management.InvalidAttributeValueException,
                                       ConfigurationException

### getUserIds

    public java.lang.String[] getUserIds()

  Defines a list of user IDs that are notified when a trap is generated. If no user IDs are specified, messages from all user IDs are selected.

### setUserIds

    public void setUserIds(java.lang.String[] userIdList)

### addUserId

    public boolean addUserId(java.lang.String userid)
                      throws javax.management.InvalidAttributeValueException,
                             ConfigurationException

### removeUserId

    public boolean removeUserId(java.lang.String userid)
                         throws javax.management.InvalidAttributeValueException,
                                ConfigurationException

### getMessageIds

    public java.lang.String[] getMessageIds()

  Defines a list of message IDs or ID ranges to be notified when a trap is generated. If no IDs are specified, messages from all IDs are selected.

  Example list: 20,50-100,300

### setMessageIds

    public void setMessageIds(java.lang.String[] messageIdList)

### addMessageId

    public boolean addMessageId(java.lang.String messageid)
                         throws javax.management.InvalidAttributeValueException,
                                ConfigurationException

### removeMessageId

    public boolean removeMessageId(java.lang.String messageid)
                            throws javax.management.InvalidAttributeValueException,
                                   ConfigurationException

### getMessageSubstring

    public java.lang.String getMessageSubstring()

  Defines a string that is searched for in the message text. Only messages that contain the string are selected. If a string is not specified, all messages are selected.

  Legal NULL: false

### setMessageSubstring

    public void setMessageSubstring(java.lang.String MessageSubString)
                             throws javax.management.InvalidAttributeValueException,
                                    ConfigurationException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference